# ps_setlinewidth

(PECL ps >= 1.1.0)

ps_setlinewidth — Sets width of a line

### Description

ps_setlinewidth ( resource `$psdoc` , float `$width` ) : bool

Sets the line width for all following drawing operations.

### Parameters

`psdoc`

  Resource identifier of the postscript file as returned by ps_new().

`width`

  The width of lines in points.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- ps_setlinecap() - Sets appearance of line ends
- ps_setlinejoin() - Sets how contected lines are joined
- ps_setmiterlimit() - Sets the miter limit